%define upstream_name    Net-GeoPlanet
%define upstream_version 0.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Access Yahoo's GeoPlanet location service
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(URI)
BuildArch: noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README CHANGES
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.200.0-11.mga10
+ Revision: 2211747
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 0.200.0-10.mga9
+ Revision: 1829944
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.200.0-9.mga8
+ Revision: 1495843
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.200.0-8.mga7
+ Revision: 1269905
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.200.0-7.mga6
+ Revision: 1031075
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.200.0-6.mga6
+ Revision: 941826
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-5.mga5
+ Revision: 749915
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.200.0-4.mga5
+ Revision: 685654
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.200.0-3.mga4
+ Revision: 513380
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-2.mga3
+ Revision: 370622
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 kharec <kharec> 0.200.0-1.mga2
+ Revision: 212564
- imported package perl-Net-GeoPlanet


* Thu Feb 23 2012 cpan2dist 0.2-1mga
- initial mageia release, generated with cpan2dist
